## gce-compute-image-packages 20180510+dfsg1

=== google_compute_engine_oslogin/Makefile ===
SHELL = /bin/sh

BASENAME = oslogin
NAME = google-compute-engine-$(BASENAME)
MAJOR = 1
MINOR = 3
REVISION = 0

LIBNSS_CACHE_OSLOGIN = libnss_cache_$(BASENAME)
LIBNSS_CACHE_OSLOGIN_NAME = libnss_cache_$(NAME)-$(MAJOR).$(MINOR).$(REVISION).so
LIBNSS_CACHE_OSLOGIN_SONAME = $(LIBNSS_CACHE_OSLOGIN).so.2
NSS_LIBRARY_NAME = libnss_$(NAME)-$(MAJOR).$(MINOR).$(REVISION).so
NSS_LIBRARY_SONAME = libnss_$(BASENAME).so.2
NSS_INSTALL_PATH = /lib
PAM_INSTALL_PATH = /lib/security
AUTHKEYS_INSTALL_PATH = /usr/bin

JSON_INCLUDE_PATH = /usr/include/json-c
INCLUDE_FLAGS = -I$(JSON_INCLUDE_PATH)

CXX ?= g++
CXXFLAGS += -fPIC# -Wall
CC ?= gcc
PAMFLAGS = $(LDFLAGS) $(INCLUDE_FLAGS) -shared
NSSFLAGS = $(LDFLAGS) $(INCLUDE_FLAGS) -shared -Wl,-soname,$(NSS_LIBRARY_SONAME)
LIBNSSFLAGS = $(LDFLAGS) -Wall -Wstrict-prototypes -fPIC
LIBNSS_SO_FLAGS = $(LIBNSSFLAGS) -shared -Wl,-soname,$(LIBNSS_CACHE_OSLOGIN_SONAME)

# UTILS
UTILS_DIR = utils
UTILS_SRC = $(UTILS_DIR)/$(BASENAME)_utils.cc
UTILS = $(UTILS_DIR)/$(BASENAME)_utils.o

# AUTHORIZED KEYS
AUTHKEYS_DIR = authorized_keys
AUTHKEYS_SRC = $(AUTHKEYS_DIR)/authorized_keys.cc
AUTHKEYS_BIN = google_authorized_keys

# NSS
NSS = nss_$(BASENAME)
NSS_DIR = nss_module
NSS_SRC = $(NSS_DIR)/$(NSS).cc

# NSS CACHE
NSS_CACHE = nss_cache
NSS_CACHE_DIR = nss_cache
NSS_CACHE_BIN = google_$(BASENAME)_nss_cache
NSS_CACHE_SRC = $(NSS_CACHE_DIR)/$(NSS_CACHE).cc

# LIBNSS OSLOGIN CACHE
LIBNSS_CACHE_OSLOGIN_DIR = $(LIBNSS_CACHE_OSLOGIN)
LIBNSS_CACHE = nss_cache_$(BASENAME)
LIBNSS_CACHE_SRC = $(LIBNSS_CACHE_OSLOGIN_DIR)/$(LIBNSS_CACHE).c
LIBNSS_CACHE_OBJ = $(LIBNSS_CACHE_OSLOGIN_DIR)/$(LIBNSS_CACHE).o
LIBNSS_COMPAT = compat/getpwent_r
LIBNSS_COMPAT_SRC = $(LIBNSS_CACHE_OSLOGIN_DIR)/$(LIBNSS_COMPAT).c
LIBNSS_COMPAT_OBJ = $(LIBNSS_CACHE_OSLOGIN_DIR)/$(LIBNSS_COMPAT).o

# PAM
PAM = pam_$(BASENAME)
PAM_DIR = pam_module
PAM_ADMIN = $(PAM)_admin
PAM_ADMIN_SRC = $(PAM_DIR)/$(PAM_ADMIN).cc
PAM_ADMIN_OBJ = $(PAM_DIR)/$(PAM_ADMIN).o
PAM_ADMIN_MOD = $(PAM_ADMIN).so
PAM_LOGIN = $(PAM)_login
PAM_LOGIN_SRC = $(PAM_DIR)/$(PAM_LOGIN).cc
PAM_LOGIN_OBJ = $(PAM_DIR)/$(PAM_LOGIN).o
PAM_LOGIN_MOD = $(PAM_LOGIN).so

# HELPER SCRIPTS
BIN_DIR = bin
OSLOGIN_HELPER = $(BIN_DIR)/google_oslogin_control
BIN_INSTALL_PATH = /usr/bin

# SELINUX POLICY
INSTALL_SELINUX =
POLICY_DIR = policy
SELINUX_MODULE_SRC = $(POLICY_DIR)/oslogin$(DIST).te
SELINUX_MOD_FILE = $(POLICY_DIR)/oslogin$(DIST).mod
SELINUX_MODULE = $(POLICY_DIR)/oslogin$(DIST).pp
SELINUX_INSTALL_NAME = oslogin.pp
SELINUX_INSTALL_PATH = /usr/share/selinux/packages

LIBS = -lcurl -ljson-c
PAM_LIBS = -lpam $(LIBS)

ifdef INSTALL_SELINUX
all: $(NSS) $(NSS_CACHE_BIN) $(LIBNSS_CACHE_OSLOGIN_NAME) $(PAM) $(AUTHKEYS_BIN) $(SELINUX_MODULE)
else
all: $(NSS) $(NSS_CACHE_BIN) $(LIBNSS_CACHE_OSLOGIN_NAME) $(PAM) $(AUTHKEYS_BIN)
endif

$(NSS): $(NSS_LIBRARY_SOURCE) $(UTILS)
	$(CXX) $(CXXFLAGS) $(NSSFLAGS) -o $(NSS_LIBRARY_NAME) \
	$(NSS_SRC) $(UTILS) $(LIBS)

$(NSS_CACHE_BIN): $(NSS_CACHE_SRC) $(UTILS_SRC)
	$(CXX) $(LDFLAGS) $(INCLUDE_FLAGS) -o $(NSS_CACHE_BIN) $(NSS_CACHE_SRC) $(UTILS_SRC) $(LIBS)

$(LIBNSS_CACHE_OSLOGIN_NAME): $(LIBNSS_CACHE_OBJ) $(LIBNSS_COMPAT_OBJ)
	$(CXX) $(LIBNSS_SO_FLAGS) -o $(LIBNSS_CACHE_OSLOGIN_NAME) $(LIBNSS_CACHE_OBJ) $(LIBNSS_COMPAT_OBJ)

$(LIBNSS_CACHE_OBJ): $(LIBNSS_CACHE_SRC)
	$(CC) $(LIBNSSFLAGS) -c -o $(LIBNSS_CACHE_OBJ) $(LIBNSS_CACHE_SRC)

$(LIBNSS_COMPAT_OBJ): $(LIBNSS_COMPAT_SRC)
	$(CC) $(LIBNSSFLAGS) -c -o $(LIBNSS_COMPAT_OBJ) $(LIBNSS_COMPAT_SRC)

$(PAM): $(PAM_ADMIN_MOD) $(PAM_LOGIN_MOD)

$(PAM_LOGIN_MOD): $(PAM_LOGIN_OBJ) $(UTILS)
	$(CXX) $(PAMFLAGS) -o $(PAM_LOGIN_MOD) $(PAM_LOGIN_OBJ) $(UTILS) $(PAM_LIBS)

$(PAM_ADMIN_MOD): $(PAM_ADMIN_OBJ) $(UTILS)
	$(CXX) $(PAMFLAGS) -o $(PAM_ADMIN_MOD) $(PAM_ADMIN_OBJ) $(UTILS) $(PAM_LIBS)

$(PAM_LOGIN_OBJ): $(PAM_LOGIN_SRC)
	$(CXX) $(CXXFLAGS) -c $(PAM_LOGIN_SRC) -o $(PAM_LOGIN_OBJ)

$(PAM_ADMIN_OBJ): $(PAM_ADMIN_SRC)
	$(CXX) $(CXXFLAGS) -c $(PAM_ADMIN_SRC) -o $(PAM_ADMIN_OBJ)

$(AUTHKEYS_BIN): $(AUTHKEYS_SRC) $(UTILS_SRC)
	$(CXX) $(LDFLAGS) $(INCLUDE_FLAGS) -o $(AUTHKEYS_BIN) $(AUTHKEYS_SRC) $(UTILS_SRC) $(LIBS)

$(UTILS): $(UTILS_SRC)
	$(CXX) $(CXXFLAGS) $(INCLUDE_FLAGS) -c $(UTILS_SRC) -o $(UTILS)

$(SELINUX_MOD_FILE): $(SELINUX_MODULE_SRC)
	checkmodule -M -m -o $(SELINUX_MOD_FILE) $(SELINUX_MODULE_SRC)

$(SELINUX_MODULE): $(SELINUX_MOD_FILE)
	semodule_package -o $(SELINUX_MODULE) -m  $(SELINUX_MOD_FILE)


ifdef INSTALL_SELINUX
install: $(NSS_LIBRARY_NAME) $(LIBNSS_OSLOGIN_CACHE_NAME) $(PAM_ADMIN_MOD) $(PAM_LOGIN_MOD) $(AUTHKEYS_BIN) $(NSS_CACHE_BIN) $(SELINUX_MODULE)
else
install: $(NSS_LIBRARY_NAME) $(LIBNSS_OSLOGIN_CACHE_NAME) $(PAM_ADMIN_MOD) $(PAM_LOGIN_MOD) $(AUTHKEYS_BIN) $(NSS_CACHE_BIN)
endif
	mkdir -p $(DESTDIR)$(PREFIX)/$(NSS_INSTALL_PATH)
	mkdir -p $(DESTDIR)$(PREFIX)/$(PAM_INSTALL_PATH)
	mkdir -p $(DESTDIR)$(PREFIX)/$(AUTHKEYS_INSTALL_PATH)
	mkdir -p $(DESTDIR)$(PREFIX)/$(BIN_INSTALL_PATH)
	install -m 0644 $(LIBNSS_CACHE_OSLOGIN_NAME) $(DESTDIR)$(PREFIX)/$(NSS_INSTALL_PATH)
	install -m 0644 $(NSS_LIBRARY_NAME) $(DESTDIR)$(PREFIX)/$(NSS_INSTALL_PATH)
	install -m 0644 $(PAM_ADMIN_MOD) $(PAM_LOGIN_MOD) $(DESTDIR)$(PREFIX)/$(PAM_INSTALL_PATH)
	install -m 0755 $(AUTHKEYS_BIN) $(DESTDIR)$(PREFIX)/$(AUTHKEYS_INSTALL_PATH)
	install -m 0755 $(OSLOGIN_HELPER) $(DESTDIR)$(PREFIX)/$(BIN_INSTALL_PATH)
	install -m 0755 $(NSS_CACHE_BIN) $(DESTDIR)$(PREFIX)/$(BIN_INSTALL_PATH)
ifdef INSTALL_SELINUX
	mkdir -p $(DESTDIR)$(PREFIX)/$(SELINUX_INSTALL_PATH)
	install -T -m 0644 $(SELINUX_MODULE) $(DESTDIR)$(PREFIX)/$(SELINUX_INSTALL_PATH)/$(SELINUX_INSTALL_NAME)
endif

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/$(NSS_INSTALL_PATH)/$(LIBNSS_CACHE_OSLOGIN_NAME)
	rm -f $(DESTDIR)$(PREFIX)/$(NSS_INSTALL_PATH)/$(NSS_LIBRARY_NAME)
	rm -f $(DESTDIR)$(PREFIX)/$(PAM_INSTALL_PATH)/$(PAM_ADMIN_MOD)
	rm -f $(DESTDIR)$(PREFIX)/$(PAM_INSTALL_PATH)/$(PAM_LOGIN_MOD)
	rm -f $(DESTDIR)$(PREFIX)/$(AUTHKEYS_INSTALL_PATH)/$(AUTHKEYS_BIN)
	rm -f $(DESTDIR)$(PREFIX)/$(BIN_INSTALL_PATH)/$(OSLOGIN_HELPER)
	rm -f $(DESTDIR)$(PREFIX)/$(BIN_INSTALL_PATH)/$(NSS_CACHE_BIN)
clean:
	rm -f $(UTILS) $(NSS_LIBRARY_NAME) $(LIBNSS_CACHE_OSLOGIN_NAME) $(LIBNSS_CACHE_OBJ) $(LIBNSS_COMPAT_OBJ) $(PAM_ADMIN_OBJ) $(PAM_ADMIN_MOD) $(PAM_LOGIN_OBJ) $(PAM_LOGIN_MOD) $(AUTHKEYS_BIN) $(NSS_CACHE_BIN)

=== debian/changelog ===
gce-compute-image-packages (20180510+dfsg1-0ubuntu3~14.04.0) trusty; urgency=medium

  * Backport to Trusty
  * Don't wait for snapd.seeded.service
  * Keep recommending google-cloud-sdk
  * Refresh patches
  * debian/rules: Handle all upstart services in override_dh_installinit
  * Clean up obsoleted services for upstart, too
  * Manage upstart scripts in postinst/preinst/prerm

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 17 May 2018 04:05:15 +0200

gce-compute-image-packages (20180510+dfsg1-0ubuntu3) cosmic; urgency=medium

  * Update prerm to stop google-network-daemon.service rather than the removed ones
  * Only Provide irqbalance without Breaks and Replaces to ensure smooth upgrades

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 16 May 2018 19:18:25 +0200

gce-compute-image-packages (20180510+dfsg1-0ubuntu2) cosmic; urgency=medium

  * debian/patches/0003-order-startup-scripts-after-snap-
    seeding.service: Ensure that snaps have been seeded before startup
    scripts run.

 -- Daniel Watkins <oddbloke@ubuntu.com>  Tue, 15 May 2018 14:12:44 -0400

gce-compute-image-packages (20180510+dfsg1-0ubuntu1) cosmic; urgency=medium

  [ Balint Reczey ]
  * Break, Replace and Provide irqbalance.
    Optimization scripts are conflicting with irqbalance and the set
    relationships ensure removal of irqbalance when it was accidentally
    installed.
  * Depend on virtual system-log-daemon as an alternative of rsyslog
  * Update copyrights
  * New upstream version 20180510 (LP: #1770650)
  * Refresh patches
  * Adjust tests to changed behaviour
  * Update symlink to shared library with updated revision
  * debian/gce-compute-image-packages.preinst: Add debhelper token
  * Update Lintian overrides

  [ Google Cloud Team ]
  * Add module blacklist for GCE
  * Fix Debian install when migrating to new network daemon

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 15 May 2018 16:09:25 +0200

gce-compute-image-packages (20180129+dfsg1-0ubuntu1~14.04.0) trusty; urgency=medium

  [ Balint Reczey ]
  * Override false positive maintainer-script-empty Lintian warning
  * Suggest libpam-cracklib instead of recommending it
    libpam-cracklib was not installed on cloud images before due to using
    --no-install-recommends when installing gce-compute-image-packages, but this
    state could have been surprising for users. (LP: #1741989)
  * New upstream version 20180129+dfsg1 (LP: #1746588)
    - Close socket connections when requesting metadata.
    - Change the OS Login uid restriction to allow uid 1000.
    - Improve hostname setting, including restarting rsyslog
  * Backport to Trusty

  [ Zach Marano from Google Cloud Team ]
  * Update symlink to shared library with updated revision
  * Depend on rsyslog
  * Force IPv4 for Debian apt configs

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 31 Jan 2018 20:14:23 +0100

=== debian/control ===
Source: gce-compute-image-packages
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Section: admin
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9),
               dh-python,
               dh-systemd,
               libcurl4-openssl-dev,
               libgtest-dev,
               libjson-c-dev,
               libpam-dev,
               python-all,
               python-setuptools,
               python-pytest,
               python-mock,
               python-boto
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~rbalint/ubuntu/+source/gce-compute-image-packages
Vcs-Git: git://git.launchpad.net/~rbalint/ubuntu/+source/gce-compute-image-packages
Homepage: https://github.com/GoogleCloudPlatform/compute-image-packages
XSBC-Original-Maintainer: Daniel Watkins <daniel.watkins@canonical.com>

Package: gce-compute-image-packages
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         google-compute-engine-oslogin,
         python-google-compute-engine (= ${source:Version}),
         chrony | ntp | time-daemon,
         rsyslog | system-log-daemon,
         cloud-init
Provides: irqbalance
Suggests: libpam-cracklib
Conflicts: gce-cloud-config,
           gce-daemon,
           gce-startup-scripts
Replaces: gce-cloud-config,
          gce-daemon,
          gce-startup-scripts
Description: GCE's compute-image-packages for use in their guest environment
 This is a collection of scripts that are used on Google Compute Engine images
 to ensure compatibility with the cloud, as well as to enable features specific
 to the cloud.

Package: python-google-compute-engine
Architecture: all
Section: python
Depends: ${python:Depends},
         ${misc:Depends}
Description: Python library for Google Compute Engine interaction
 Python libraries used for interacting with Google Compute Engine's APIs and
 functionality.  This package contains the modules for Python 2.x.

Package: google-compute-engine-oslogin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         openssh-server
Description: Google Compute Engine OS Login
 Contains libraries, applications and configurations for using OS Login
 on Google Compute Engine Virtual Machine Instances.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=google-compute-engine
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS={dir}/google_compute_engine/

OSLOGIN_DIR=google_compute_engine_oslogin

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with python2,systemd --buildsystem=pybuild

override_dh_auto_configure:
	cp -r /usr/src/gtest/ ./
	dh_auto_configure

override_dh_auto_test:
	(cd gtest && cmake . && $(MAKE) )
	(cd $(OSLOGIN_DIR)/utils && \
		$(CXX) $(CXXFLAGS) -L../../gtest -o test_runner oslogin_utils_test.cc oslogin_utils.cc -I/usr/include/json-c -lcurl -ljson-c -lgtest -lpthread && \
		./test_runner && \
		rm test_runner)

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C $(OSLOGIN_DIR) all

override_dh_auto_install:
	dh_auto_install
	$(MAKE) -C $(OSLOGIN_DIR) DESTDIR=$(CURDIR)/debian/tmp PAM_INSTALL_PATH=/lib/$(DEB_HOST_MULTIARCH)/security BIN_INSTALL_PATH=/usr/bin install

override_dh_installinit:
	dh_installinit --name=google-accounts-daemon --onlyscripts --no-start --no-restart-on-upgrade
	dh_installinit --name=google-clock-skew-daemon --onlyscripts --no-start --no-restart-on-upgrade
	dh_installinit --name=google-instance-setup --onlyscripts --no-start --no-restart-on-upgrade
	dh_installinit --name=google-network-daemon --onlyscripts --no-start --no-restart-on-upgrade
	dh_installinit --name=google-startup-scripts --onlyscripts --no-start --no-restart-on-upgrade
	dh_installinit --name=google-shutdown-scripts --onlyscripts --no-start --no-restart-on-upgrade
	dh_installinit --name=google-shutdown-scripts-block-rsyslog --onlyscripts --no-start --no-restart-on-upgrade

override_dh_clean:
	rm -rf google_compute_engine.egg-info gtest
	dh_clean

override_dh_python2:
	dh_python2
	# We want to split the Python scripts out to the
	# gce-compute-image-packages package
	mkdir -p debian/gce-compute-image-packages/usr/bin/
	mv debian/python-google-compute-engine/usr/bin/* debian/gce-compute-image-packages/usr/bin/
	rmdir debian/python-google-compute-engine/usr/bin

## gce-compute-image-packages 20180905+dfsg1

=== google_compute_engine_oslogin/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 NAME = google-compute-engine-$(BASENAME)
 MAJOR = 1
 MINOR = 3
-REVISION = 0
+REVISION = 1
 
 LIBNSS_CACHE_OSLOGIN = libnss_cache_$(BASENAME)
 LIBNSS_CACHE_OSLOGIN_NAME = libnss_cache_$(NAME)-$(MAJOR).$(MINOR).$(REVISION).so
@@ -96,7 +96,7 @@
 	$(NSS_SRC) $(UTILS) $(LIBS)
 
 $(NSS_CACHE_BIN): $(NSS_CACHE_SRC) $(UTILS_SRC)
-	$(CXX) $(LDFLAGS) $(INCLUDE_FLAGS) -o $(NSS_CACHE_BIN) $(NSS_CACHE_SRC) $(UTILS_SRC) $(LIBS)
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(INCLUDE_FLAGS) -o $(NSS_CACHE_BIN) $(NSS_CACHE_SRC) $(UTILS_SRC) $(LIBS)
 
 $(LIBNSS_CACHE_OSLOGIN_NAME): $(LIBNSS_CACHE_OBJ) $(LIBNSS_COMPAT_OBJ)
 	$(CXX) $(LIBNSS_SO_FLAGS) -o $(LIBNSS_CACHE_OSLOGIN_NAME) $(LIBNSS_CACHE_OBJ) $(LIBNSS_COMPAT_OBJ)
@@ -122,7 +122,7 @@
 	$(CXX) $(CXXFLAGS) -c $(PAM_ADMIN_SRC) -o $(PAM_ADMIN_OBJ)
 
 $(AUTHKEYS_BIN): $(AUTHKEYS_SRC) $(UTILS_SRC)
-	$(CXX) $(LDFLAGS) $(INCLUDE_FLAGS) -o $(AUTHKEYS_BIN) $(AUTHKEYS_SRC) $(UTILS_SRC) $(LIBS)
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(INCLUDE_FLAGS) -o $(AUTHKEYS_BIN) $(AUTHKEYS_SRC) $(UTILS_SRC) $(LIBS)
 
 $(UTILS): $(UTILS_SRC)
 	$(CXX) $(CXXFLAGS) $(INCLUDE_FLAGS) -c $(UTILS_SRC) -o $(UTILS)

=== debian/changelog ===
gce-compute-image-packages (20180905+dfsg1-0ubuntu1~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 14 Sep 2018 01:28:31 +0200

gce-compute-image-packages (20180905+dfsg1-0ubuntu1) cosmic; urgency=medium

  [ Balint Reczey ]
  * New upstream version 20180905+dfsg1 (LP: #1792466)
    - Restart the network daemon if networking is restarted.
    - Prevent setup of the default ethernet interface.
    - Accounts daemon can now verify username is 32 characters or less.
    - Prevent IP forwarding daemon log spam.
    - Make default shell configurable when executing metadata scripts.
    - Rename distro directory to distro_lib.
  * debian/control: Update Vcs-* fields to point to the new packaging repository
  * Update shared library symlinks
  * Drop 0001-Adjust-tests-to-changed-LoadJsonArrayToCache-behavio.patch,
    it is integrated upstream
  * Build depend on debhelper (>= 9.20160709) instead of on dh-systemd
    to keep Lintian happy.

  [ Google Cloud Team ]
  * Remove NTP dependency from packaging

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 13 Sep 2018 23:08:33 +0200

gce-compute-image-packages (20180510+dfsg1-0ubuntu5) cosmic; urgency=medium

  * Depend on the same version of google-compute-engine-oslogin
  * Only Recommend rsyslog | system-log-daemon (LP: #1780109)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 04 Jul 2018 17:22:09 +0200

gce-compute-image-packages (20180510+dfsg1-0ubuntu4~18.04.1) bionic; urgency=medium

  * Only Recommend rsyslog | system-log-daemon (LP: #1780109)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 11 Jul 2018 16:07:01 +0200

gce-compute-image-packages (20180510+dfsg1-0ubuntu4~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 18 May 2018 12:51:48 +0200

gce-compute-image-packages (20180510+dfsg1-0ubuntu4) cosmic; urgency=medium

  * debian/patches/0004-order-shutdown-scripts-after-snapd.patch: Order
    shutdown scripts after snapd.service.
  * debian/patches/0005-add-snap-bin-to-path.patch: Add /snap/bin to
    PATH for startup/shutdown scripts.

 -- Daniel Watkins <oddbloke@ubuntu.com>  Thu, 17 May 2018 12:30:32 -0400

gce-compute-image-packages (20180510+dfsg1-0ubuntu3~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 16 May 2018 19:36:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,34 +3,37 @@
 Section: admin
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper (>= 9.20160709),
                dh-python,
-               dh-systemd,
                libcurl4-openssl-dev,
                libgtest-dev,
                libjson-c-dev,
                libpam-dev,
                python-all,
                python-setuptools,
+               python3-all,
+               python3-setuptools,
                python-pytest,
+               python3-pytest,
                python-mock,
-               python-boto
+               python-boto,
+               python3-boto
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.launchpad.net/~rbalint/ubuntu/+source/gce-compute-image-packages
-Vcs-Git: git://git.launchpad.net/~rbalint/ubuntu/+source/gce-compute-image-packages
+Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/gce-compute-image-packages
+Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/gce-compute-image-packages -b ubuntu/master
 Homepage: https://github.com/GoogleCloudPlatform/compute-image-packages
 XSBC-Original-Maintainer: Daniel Watkins <daniel.watkins@canonical.com>
 
 Package: gce-compute-image-packages
 Architecture: all
-Depends: ${python:Depends},
+Depends: python3:any,
+         ${python3:Depends},
          ${misc:Depends},
-         google-compute-engine-oslogin,
-         python-google-compute-engine (= ${source:Version}),
-         chrony | ntp | time-daemon,
-         rsyslog | system-log-daemon,
+         google-compute-engine-oslogin (= ${source:Version}),
+         python3-google-compute-engine (= ${source:Version}),
          cloud-init
 Provides: irqbalance
+Recommends: rsyslog | system-log-daemon
 Suggests: libpam-cracklib
 Conflicts: gce-cloud-config,
            gce-daemon,
@@ -52,6 +55,15 @@
  Python libraries used for interacting with Google Compute Engine's APIs and
  functionality.  This package contains the modules for Python 2.x.
 
+Package: python3-google-compute-engine
+Architecture: all
+Section: python
+Depends: ${python3:Depends},
+         ${misc:Depends}
+Description: Python library for Google Compute Engine interaction (Python 3)
+ Python libraries used for interacting with Google Compute Engine's APIs and
+ functionality.  This package contains the modules for Python 3.x.
+
 Package: google-compute-engine-oslogin
 Architecture: any
 Depends: ${shlibs:Depends},

## gce-compute-image-packages 20181206+dfsg1

=== debian/changelog ===
gce-compute-image-packages (20181206+dfsg1-0ubuntu1~14.04.0) trusty; urgency=medium

  * Backport to Trusty with the following remaining changes:
    - Revert ordering shutdown scripts after snapd.service.
    - Revert adding /snap/bin to PATH for startup/shutdown scripts
    - Revert to using dh-systemd because Trusty does not have the debhelper
    - Build-depend on libboost-regex-dev for regex support
      version making dh-systemd obsolete
    - Link with boost for regex support
    - Free tests from C++11 constructs to let them being compiled without
      C++11 support
    - debian/rules: Handle all upstart services in override_dh_installinit
    - Clean up obsoleted services for upstart, too
    - Manage upstart scripts in postinst/preinst/prerm
  * Restore switch to using NOOP as the default scheduler that was lost in
    20180905+dfsg1-0ubuntu1~14.04.0
  * Simply add -lboost_regex to LIBS instead of fixing Makefile and passing it
    from debian/rules. Setting -Wl,-z,defs broke the prior solution and
    upstreaming the Makefile fix did not go smooth anyway.

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 07 Jan 2019 15:02:02 +0700

gce-compute-image-packages (20181206+dfsg1-0ubuntu1) disco; urgency=medium

  [ Brian Murray ]
  * Add 0001-set-LDFLAGS-to-prevent-undefs.patch

  [ Balint Reczey ]
  * Keep Debian patch unapplied
  * New upstream version 20181206 (LP: #1803973)
    - Support enabling OS Login two factor authentication
  * Refresh patches
  * Update Lintian overrides for renamed commands
  * Update shared library symlinks

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 21 Dec 2018 16:54:01 +0100

gce-compute-image-packages (20180905+dfsg1-0ubuntu1~14.04.1) trusty; urgency=medium

  * debian/patches/set-LDFLAGS-for-PAM.patch: Fix missing symbols
    when using oslogin due to misording of the boost regex library
    in linking the PAM modules. (LP: #1798706)

 -- Daniel Axtens <daniel.axtens@canonical.com>  Fri, 19 Oct 2018 12:41:42 +1100

gce-compute-image-packages (20180905+dfsg1-0ubuntu1~14.04.0) trusty; urgency=medium

  * Backport to Trusty
    - Revert ordering shutdown scripts after snapd.service.
    - Revert adding /snap/bin to PATH for startup/shutdown scripts
    - Revert to using dh-systemd because Xenial does not have the debhelper
  * Revert "Build depend on debhelper (>= 9.20160709) instead of on dh-systemd"
    This reverts commit 1afdbde3f27ab4d1712b1a0d4cc14df3a0528bdc.
    Xenial does not have that debhelper version thus dh-systemd is needed there.
  * Build-depend on libboost-regex-dev for regex support
  * Choose std:: or boost:: regex based on support for C++11
  * Set LDFLAGS at the end of the the c++ command line right before libs.
    This fixes passig additional libs to make, namely -lboost_regex
  * Link with boost for regex support
  * Free tests from C++11 constructs to let them being compiled without C++11 support

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 17 Sep 2018 00:17:02 +0200

gce-compute-image-packages (20180510+dfsg1-0ubuntu3~14.04.3) trusty; urgency=medium

  * Restart services upon upgrade with upstart, too
  * Remove handling the systemd cases from maintainer scripts

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 07 Jun 2018 16:27:01 -0700

gce-compute-image-packages (20180510+dfsg1-0ubuntu3~14.04.2) trusty; urgency=medium

  * Revert to debhelper to perform most service operations

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 30 May 2018 19:35:26 +0200

gce-compute-image-packages (20180510+dfsg1-0ubuntu3~14.04.1) trusty; urgency=medium

  * Stop obsoleted services before removing their upstart .conf files

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 23 May 2018 23:23:57 +0200

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 override_dh_auto_test:
 	(cd gtest && cmake . && $(MAKE) )
 	(cd $(OSLOGIN_DIR)/utils && \
-		$(CXX) $(CXXFLAGS) -L../../gtest -o test_runner oslogin_utils_test.cc oslogin_utils.cc -I/usr/include/json-c -lcurl -ljson-c -lgtest -lpthread && \
+		$(CXX) $(CXXFLAGS) -L../../gtest -o test_runner oslogin_utils_test.cc oslogin_utils.cc -I/usr/include/json-c $(LDFLAGS) -lcurl -ljson-c -lgtest -lpthread -lboost_regex && \
 		./test_runner && \
 		rm test_runner)
 
@@ -31,11 +31,7 @@
 	$(MAKE) -C $(OSLOGIN_DIR) DESTDIR=$(CURDIR)/debian/tmp PAM_INSTALL_PATH=/lib/$(DEB_HOST_MULTIARCH)/security BIN_INSTALL_PATH=/usr/bin install
 
 override_dh_installinit:
-	dh_installinit --name=google-accounts-daemon --onlyscripts --no-start --no-restart-on-upgrade
-	dh_installinit --name=google-clock-skew-daemon --onlyscripts --no-start --no-restart-on-upgrade
-	dh_installinit --name=google-instance-setup --onlyscripts --no-start --no-restart-on-upgrade
-	dh_installinit --name=google-network-daemon --onlyscripts --no-start --no-restart-on-upgrade
-	dh_installinit --name=google-startup-scripts --onlyscripts --no-start --no-restart-on-upgrade
+	dh_installinit --name=google-startup-scripts --onlyscripts --no-start --no-restart-on-upgrade 
 	dh_installinit --name=google-shutdown-scripts --onlyscripts --no-start --no-restart-on-upgrade
 	dh_installinit --name=google-shutdown-scripts-block-rsyslog --onlyscripts --no-start --no-restart-on-upgrade

## gce-compute-image-packages 20190124+dfsg1

=== debian/changelog ===
gce-compute-image-packages (20190124+dfsg1-0ubuntu1~14.04.0) trusty; urgency=medium

  * Rebuild for Trusty

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 25 Jan 2019 14:46:10 +0700

gce-compute-image-packages (20190124+dfsg1-0ubuntu1) disco; urgency=medium

  * New upstream version 20190124 (LP: #1813246)
    -  Update script retrieval to support Python 3

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 25 Jan 2019 12:41:07 +0700

## gce-compute-image-packages 20190315

=== packages/google-compute-engine-oslogin/Makefile ===
SHELL = /bin/sh

BASENAME = oslogin
NAME = google-compute-engine-$(BASENAME)
MAJOR = 1
MINOR = 5
REVISION = 1

LIBNSS_CACHE_OSLOGIN = libnss_cache_$(BASENAME)
LIBNSS_CACHE_OSLOGIN_NAME = libnss_cache_$(NAME)-$(MAJOR).$(MINOR).$(REVISION).so
LIBNSS_CACHE_OSLOGIN_SONAME = $(LIBNSS_CACHE_OSLOGIN).so.2
NSS_LIBRARY_NAME = libnss_$(NAME)-$(MAJOR).$(MINOR).$(REVISION).so
NSS_LIBRARY_SONAME = libnss_$(BASENAME).so.2
NSS_INSTALL_PATH = /lib
PAM_INSTALL_PATH = /lib/security
AUTHKEYS_INSTALL_PATH = /usr/bin

JSON_INCLUDE_PATH = /usr/include/json-c
INCLUDE_FLAGS = -I$(JSON_INCLUDE_PATH)

CXX ?= g++
CXXFLAGS += -fPIC# -Wall
CC ?= gcc
PAMFLAGS = $(LDFLAGS) $(INCLUDE_FLAGS) -shared
NSSFLAGS = $(LDFLAGS) $(INCLUDE_FLAGS) -shared -Wl,-soname,$(NSS_LIBRARY_SONAME)
LIBNSSFLAGS = $(LDFLAGS) -Wall -Wstrict-prototypes -fPIC -g
LIBNSS_SO_FLAGS = $(LIBNSSFLAGS) -shared -Wl,-soname,$(LIBNSS_CACHE_OSLOGIN_SONAME)

# UTILS
UTILS_DIR = utils
UTILS_SRC = $(UTILS_DIR)/$(BASENAME)_utils.cc
UTILS = $(UTILS_DIR)/$(BASENAME)_utils.o

# AUTHORIZED KEYS
AUTHKEYS_DIR = authorized_keys
AUTHKEYS_SRC = $(AUTHKEYS_DIR)/authorized_keys.cc
AUTHKEYS_BIN = google_authorized_keys

# NSS
NSS = nss_$(BASENAME)
NSS_DIR = nss_module
NSS_SRC = $(NSS_DIR)/$(NSS).cc

# NSS CACHE
NSS_CACHE = nss_cache
NSS_CACHE_DIR = nss_cache
NSS_CACHE_BIN = google_$(BASENAME)_nss_cache
NSS_CACHE_SRC = $(NSS_CACHE_DIR)/$(NSS_CACHE).cc

# LIBNSS OSLOGIN CACHE
LIBNSS_CACHE_OSLOGIN_DIR = $(LIBNSS_CACHE_OSLOGIN)
LIBNSS_CACHE = nss_cache_$(BASENAME)
LIBNSS_CACHE_SRC = $(LIBNSS_CACHE_OSLOGIN_DIR)/$(LIBNSS_CACHE).c
LIBNSS_CACHE_OBJ = $(LIBNSS_CACHE_OSLOGIN_DIR)/$(LIBNSS_CACHE).o
LIBNSS_COMPAT = compat/getpwent_r
LIBNSS_COMPAT_SRC = $(LIBNSS_CACHE_OSLOGIN_DIR)/$(LIBNSS_COMPAT).c
LIBNSS_COMPAT_OBJ = $(LIBNSS_CACHE_OSLOGIN_DIR)/$(LIBNSS_COMPAT).o

# PAM
PAM = pam_$(BASENAME)
PAM_DIR = pam_module
PAM_ADMIN = $(PAM)_admin
PAM_ADMIN_SRC = $(PAM_DIR)/$(PAM_ADMIN).cc
PAM_ADMIN_OBJ = $(PAM_DIR)/$(PAM_ADMIN).o
PAM_ADMIN_MOD = $(PAM_ADMIN).so
PAM_LOGIN = $(PAM)_login
PAM_LOGIN_SRC = $(PAM_DIR)/$(PAM_LOGIN).cc
PAM_LOGIN_OBJ = $(PAM_DIR)/$(PAM_LOGIN).o
PAM_LOGIN_MOD = $(PAM_LOGIN).so

# HELPER SCRIPTS
BIN_DIR = bin
OSLOGIN_HELPER = $(BIN_DIR)/google_oslogin_control
BIN_INSTALL_PATH = /usr/bin

# SELINUX POLICY
INSTALL_SELINUX =
POLICY_DIR = policy
SELINUX_INSTALL_NAME = oslogin.pp
SELINUX_MODULE = $(POLICY_DIR)/$(SELINUX_INSTALL_NAME)
SELINUX_INSTALL_PATH = /usr/share/selinux/packages

LIBS = -lcurl -ljson-c
PAM_LIBS = -lpam $(LIBS)

ifdef INSTALL_SELINUX
all: $(NSS) $(NSS_CACHE_BIN) $(LIBNSS_CACHE_OSLOGIN_NAME) $(PAM) $(AUTHKEYS_BIN)
else
all: $(NSS) $(NSS_CACHE_BIN) $(LIBNSS_CACHE_OSLOGIN_NAME) $(PAM) $(AUTHKEYS_BIN)
endif

$(NSS): $(NSS_LIBRARY_SOURCE) $(UTILS)
	$(CXX) $(CXXFLAGS) $(NSSFLAGS) -o $(NSS_LIBRARY_NAME) \
	$(NSS_SRC) $(UTILS) $(LIBS)

$(NSS_CACHE_BIN): $(NSS_CACHE_SRC) $(UTILS_SRC)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(INCLUDE_FLAGS) -o $(NSS_CACHE_BIN) $(NSS_CACHE_SRC) $(UTILS_SRC) $(LIBS)

$(LIBNSS_CACHE_OSLOGIN_NAME): $(LIBNSS_CACHE_OBJ) $(LIBNSS_COMPAT_OBJ)
	$(CXX) $(LIBNSS_SO_FLAGS) -o $(LIBNSS_CACHE_OSLOGIN_NAME) $(LIBNSS_CACHE_OBJ) $(LIBNSS_COMPAT_OBJ)

$(LIBNSS_CACHE_OBJ): $(LIBNSS_CACHE_SRC)
	$(CC) $(LIBNSSFLAGS) -c -o $(LIBNSS_CACHE_OBJ) $(LIBNSS_CACHE_SRC)

$(LIBNSS_COMPAT_OBJ): $(LIBNSS_COMPAT_SRC)
	$(CC) $(LIBNSSFLAGS) -c -o $(LIBNSS_COMPAT_OBJ) $(LIBNSS_COMPAT_SRC)

$(PAM): $(PAM_ADMIN_MOD) $(PAM_LOGIN_MOD)

$(PAM_LOGIN_MOD): $(PAM_LOGIN_OBJ) $(UTILS)
	$(CXX) $(PAMFLAGS) -o $(PAM_LOGIN_MOD) $(PAM_LOGIN_OBJ) $(UTILS) $(PAM_LIBS)

$(PAM_ADMIN_MOD): $(PAM_ADMIN_OBJ) $(UTILS)
	$(CXX) $(PAMFLAGS) -o $(PAM_ADMIN_MOD) $(PAM_ADMIN_OBJ) $(UTILS) $(PAM_LIBS)

$(PAM_LOGIN_OBJ): $(PAM_LOGIN_SRC)
	$(CXX) $(CXXFLAGS) -c $(PAM_LOGIN_SRC) -o $(PAM_LOGIN_OBJ)

$(PAM_ADMIN_OBJ): $(PAM_ADMIN_SRC)
	$(CXX) $(CXXFLAGS) -c $(PAM_ADMIN_SRC) -o $(PAM_ADMIN_OBJ)

$(AUTHKEYS_BIN): $(AUTHKEYS_SRC) $(UTILS_SRC)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(INCLUDE_FLAGS) -o $(AUTHKEYS_BIN) $(AUTHKEYS_SRC) $(UTILS_SRC) $(LIBS)

$(UTILS): $(UTILS_SRC)
	$(CXX) $(CXXFLAGS) $(INCLUDE_FLAGS) -c $(UTILS_SRC) -o $(UTILS)

install: $(NSS_LIBRARY_NAME) $(LIBNSS_OSLOGIN_CACHE_NAME) $(PAM_ADMIN_MOD) $(PAM_LOGIN_MOD) $(AUTHKEYS_BIN) $(NSS_CACHE_BIN)
	mkdir -p $(DESTDIR)$(PREFIX)/$(NSS_INSTALL_PATH)
	mkdir -p $(DESTDIR)$(PREFIX)/$(PAM_INSTALL_PATH)
	mkdir -p $(DESTDIR)$(PREFIX)/$(AUTHKEYS_INSTALL_PATH)
	mkdir -p $(DESTDIR)$(PREFIX)/$(BIN_INSTALL_PATH)
	install -m 0644 $(LIBNSS_CACHE_OSLOGIN_NAME) $(DESTDIR)$(PREFIX)/$(NSS_INSTALL_PATH)
	install -m 0644 $(NSS_LIBRARY_NAME) $(DESTDIR)$(PREFIX)/$(NSS_INSTALL_PATH)
	install -m 0644 $(PAM_ADMIN_MOD) $(PAM_LOGIN_MOD) $(DESTDIR)$(PREFIX)/$(PAM_INSTALL_PATH)
	install -m 0755 $(AUTHKEYS_BIN) $(DESTDIR)$(PREFIX)/$(AUTHKEYS_INSTALL_PATH)
	install -m 0755 $(OSLOGIN_HELPER) $(DESTDIR)$(PREFIX)/$(BIN_INSTALL_PATH)
	install -m 0755 $(NSS_CACHE_BIN) $(DESTDIR)$(PREFIX)/$(BIN_INSTALL_PATH)
ifdef MAKE_LINKS
	ln -sf $(LIBNSS_CACHE_OSLOGIN_NAME) $(DESTDIR)$(PREFIX)/$(NSS_INSTALL_PATH)/$(LIBNSS_CACHE_OSLOGIN_SONAME)
	ln -sf $(NSS_LIBRARY_NAME) $(DESTDIR)$(PREFIX)/$(NSS_INSTALL_PATH)/$(NSS_LIBRARY_SONAME)
endif
ifdef INSTALL_SELINUX
	mkdir -p $(DESTDIR)$(PREFIX)/$(SELINUX_INSTALL_PATH)
	install -T -m 0644 $(SELINUX_MODULE) $(DESTDIR)$(PREFIX)/$(SELINUX_INSTALL_PATH)/$(SELINUX_INSTALL_NAME)
endif

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/$(NSS_INSTALL_PATH)/$(LIBNSS_CACHE_OSLOGIN_NAME)
	rm -f $(DESTDIR)$(PREFIX)/$(NSS_INSTALL_PATH)/$(NSS_LIBRARY_NAME)
	rm -f $(DESTDIR)$(PREFIX)/$(PAM_INSTALL_PATH)/$(PAM_ADMIN_MOD)
	rm -f $(DESTDIR)$(PREFIX)/$(PAM_INSTALL_PATH)/$(PAM_LOGIN_MOD)
	rm -f $(DESTDIR)$(PREFIX)/$(AUTHKEYS_INSTALL_PATH)/$(AUTHKEYS_BIN)
	rm -f $(DESTDIR)$(PREFIX)/$(BIN_INSTALL_PATH)/$(OSLOGIN_HELPER)
	rm -f $(DESTDIR)$(PREFIX)/$(BIN_INSTALL_PATH)/$(NSS_CACHE_BIN)
clean:
	rm -f $(UTILS) $(NSS_LIBRARY_NAME) $(LIBNSS_CACHE_OSLOGIN_NAME) $(LIBNSS_CACHE_OBJ) $(LIBNSS_COMPAT_OBJ) $(PAM_ADMIN_OBJ) $(PAM_ADMIN_MOD) $(PAM_LOGIN_OBJ) $(PAM_LOGIN_MOD) $(AUTHKEYS_BIN) $(NSS_CACHE_BIN)

=== debian/changelog ===
gce-compute-image-packages (20190315-0ubuntu1~14.04.0) trusty; urgency=medium

  * Backport to Trusty with the following remaining changes:
    - Revert ordering shutdown scripts after snapd.service.
    - Revert adding /snap/bin to PATH for startup/shutdown scripts
    - Revert to using dh-systemd because Trusty does not have the debhelper
    - Build-depend on libboost-regex-dev for regex support
      version making dh-systemd obsolete
    - Link with boost for regex support
    - Free tests from C++11 constructs to let them being compiled without
      C++11 support
    - debian/rules: Handle all upstart services in override_dh_installinit
    - Clean up obsoleted services for upstart, too
    - Manage upstart scripts in postinst/preinst/prerm
  * Refresh patches
  * debian/rules: Work around dh-python ignoring PYBUILD_DIR
  * debian/rules: rm -rf .pybuild/ because dh_clean does not do it

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 22 Apr 2019 14:27:18 +0200

gce-compute-image-packages (20190315-0ubuntu1) eoan; urgency=medium

  * New upstream version 20190315 (LP: #1824212)
    - Reorganize source tree
    - Use pam_group with OS Login
    - Set oom_score_adjust for google-accounts daemon
    - Restrict permissions for google-oslogin sudoers
    - Add OS Login support for Google prompt challenges
    - Bug fixes
  * Refresh patches
  * Adjust packaging to upstream tree reorganization
  * Ship google_set_hostname as a command, not just as an dhclient exit hook
    matching upstream's choice
  * Don't ship journalctl configuration snippet to forward log to console
  * Update shared library symlinks
  * Ignore absolute symlinks in the source package to keep Lintian happy

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 22 Apr 2019 13:57:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,19 @@
 Section: admin
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 9.20160709),
+               debhelper (>= 9),
                dh-python,
+               dh-systemd,
+               libboost-regex-dev,
                libcurl4-openssl-dev,
                libgtest-dev,
                libjson-c-dev,
                libpam-dev,
                python-all,
                python-setuptools,
-               python3-all,
-               python3-setuptools,
                python-pytest,
-               python3-pytest,
                python-mock,
-               python-boto,
-               python3-boto
+               python-boto
 Standards-Version: 3.9.8
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/gce-compute-image-packages
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/gce-compute-image-packages -b ubuntu/master
@@ -26,11 +24,10 @@
 
 Package: gce-compute-image-packages
 Architecture: all
-Depends: python3:any,
-         ${python3:Depends},
+Depends: ${python:Depends},
          ${misc:Depends},
          google-compute-engine-oslogin (= ${source:Version}),
-         python3-google-compute-engine (= ${source:Version}),
+         python-google-compute-engine (= ${source:Version}),
          cloud-init
 Provides: irqbalance
 Recommends: rsyslog | system-log-daemon
@@ -55,15 +52,6 @@
  Python libraries used for interacting with Google Compute Engine's APIs and
  functionality.  This package contains the modules for Python 2.x.
 
-Package: python3-google-compute-engine
-Architecture: all
-Section: python
-Depends: ${python3:Depends},
-         ${misc:Depends}
-Description: Python library for Google Compute Engine interaction (Python 3)
- Python libraries used for interacting with Google Compute Engine's APIs and
- functionality.  This package contains the modules for Python 3.x.
-
 Package: google-compute-engine-oslogin
 Architecture: any
 Depends: ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=google-compute-engine
export PYBUILD_TEST_PYTEST=1
export PYBUILD_DIR=packages/python-google-compute-engine
export PYBUILD_TEST_ARGS={dir}/packages/google_compute_engine/

OSLOGIN_DIR=packages/google-compute-engine-oslogin

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# this breaks with more than one requested versions for Python 2 but they are not likely to appear in Xenial or Trusty
PYBUILD_OPTIONS = -i python{version} -p $(shell pyversions -vr 2>/dev/null) -d $(PYBUILD_DIR)


%:
	dh $@ --with python2,systemd --buildsystem=pybuild

override_dh_auto_configure:
	cp -r /usr/src/gtest/ ./
	# dh-pyhon before 2.20160609 passes --dir . to pybuild without option to override, thus call pybuild directly
	pybuild --configure $(PYBUILD_OPTIONS)

override_dh_auto_test:
	(cd gtest && cmake . && $(MAKE) )
	(cd $(OSLOGIN_DIR)/utils && \
		$(CXX) $(CXXFLAGS) -L../../../gtest -o test_runner oslogin_utils_test.cc oslogin_utils.cc -I/usr/include/json-c $(LDFLAGS) -lcurl -ljson-c -lgtest -lpthread -lboost_regex && \
		./test_runner && \
		rm test_runner)

override_dh_auto_build:
	pybuild --build $(PYBUILD_OPTIONS)
	$(MAKE) -C $(OSLOGIN_DIR) all

override_dh_auto_install:
	pybuild --install $(PYBUILD_OPTIONS) --dest-dir $(CURDIR)/debian/tmp
	$(MAKE) -C $(OSLOGIN_DIR) DESTDIR=$(CURDIR)/debian/tmp PAM_INSTALL_PATH=/lib/$(DEB_HOST_MULTIARCH)/security BIN_INSTALL_PATH=/usr/bin install

override_dh_installinit:
	dh_installinit --name=google-startup-scripts --onlyscripts --no-start --no-restart-on-upgrade 
	dh_installinit --name=google-shutdown-scripts --onlyscripts --no-start --no-restart-on-upgrade
	dh_installinit --name=google-shutdown-scripts-block-rsyslog --onlyscripts --no-start --no-restart-on-upgrade

override_dh_python2:
	dh_python2
	# We want to split the Python scripts out to the
	# gce-compute-image-packages package
	mkdir -p debian/gce-compute-image-packages/usr/bin/
	mv debian/python-google-compute-engine/usr/bin/* debian/gce-compute-image-packages/usr/bin/
	rmdir debian/python-google-compute-engine/usr/bin

override_dh_link-indep:
	rm -f debian/gce-compute-image-packages/etc/dhcp/dhclient-exit-hooks \
		debian/gce-compute-image-packages/etc/dhcp/dhclient-exit-hooks.d/google_set_hostname
	dh_link -i

override_dh_installdeb-indep:
	# ForwardToConsole=yes does not seem to be a good idea, see Debian Bug #923889
	rm debian/gce-compute-image-packages/usr/lib/systemd/journald.conf.d/20-google.conf
	dh_installdeb -i

override_dh_systemd_start:
	# Configured in gce-compute-image-packages.postinst instead.

override_dh_clean:
	dh_clean packages/google_compute_engine.egg-info/ gtest/
	rm -rf .pybuild/

override_dh_auto_clean:
	$(MAKE) -C $(OSLOGIN_DIR) clean
	pybuild --clean $(PYBUILD_OPTIONS)

## gce-compute-image-packages 20190521

=== debian/changelog ===
gce-compute-image-packages (20190521-0ubuntu1~16.04.0) xenial; urgency=medium

  * Backport to Xenial with the following remaining changes:
    - Revert ordering shutdown scripts after snapd.service.
    - Revert adding /snap/bin to PATH for startup/shutdown scripts
    - Revert to using dh-systemd because Xenial does not have the debhelper
    - Build-depend on libboost-regex-dev for regex support
      version making dh-systemd obsolete
    - Link with boost for regex support
    - Free tests from C++11 constructs to let them being compiled without
      C++11 support

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 23 May 2019 13:29:21 +0200

gce-compute-image-packages (20190521-0ubuntu1) eoan; urgency=medium

  * New upstream version 20190521 (LP: #1830194)
    - Fix pam_group ordering detection
    - Restart cron on OS Login control
    - Add PAM entry to su:account stack
    - Retry download for metadata scripts
    - Fix script retrieval in python3
    - Disable boto config in python3
    - Update SSH host keys in guest attributes.
    - Fix XPS settings with more than 64 vCPUs
  * Update shared library symlinks

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 22 May 2019 18:53:01 +0200

gce-compute-image-packages (20190315-0ubuntu1~16.04.0) xenial; urgency=medium

  * Backport to Xenial with the following remaining changes:
    - Revert ordering shutdown scripts after snapd.service.
    - Revert adding /snap/bin to PATH for startup/shutdown scripts
    - Revert to using dh-systemd because Xenial does not have the debhelper
    - Build-depend on libboost-regex-dev for regex support
      version making dh-systemd obsolete
    - Link with boost for regex support
    - Free tests from C++11 constructs to let them being compiled without
      C++11 support
  * Refresh patches
  * debian/rules: Work around dh-python ignoring PYBUILD_DIR

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 22 Apr 2019 14:13:57 +0200

gce-compute-image-packages (20190124+dfsg1-0ubuntu1~16.04.0) xenial; urgency=medium

  * Rebuild for Xenial

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 25 Jan 2019 14:38:44 +0700

gce-compute-image-packages (20181206+dfsg1-0ubuntu1~16.04.0) xenial; urgency=medium

  * Backport to Xenial with the following remaining changes:
    - Revert ordering shutdown scripts after snapd.service.
    - Revert adding /snap/bin to PATH for startup/shutdown scripts
    - Revert to using dh-systemd because Xenial does not have the debhelper
    - Build-depend on libboost-regex-dev for regex support
      version making dh-systemd obsolete
    - Link with boost for regex support
    - Free tests from C++11 constructs to let them being compiled without
      C++11 support
  * Simply add -lboost_regex to LIBS instead of fixing Makefile and passing it
    from debian/rules. Setting -Wl,-z,defs broke the prior solution and
    upstreaming the Makefile fix did not go smooth anyway.

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 07 Jan 2019 14:50:42 +0700

gce-compute-image-packages (20180905+dfsg1-0ubuntu1~16.04.1) xenial; urgency=medium

  * debian/patches/set-LDFLAGS-for-PAM.patch: Fix missing symbols
    when using oslogin due to misording of the boost regex library
    in linking the PAM modules. (LP: #1798706)

 -- Daniel Axtens <daniel.axtens@canonical.com>  Fri, 19 Oct 2018 12:35:45 +1100

gce-compute-image-packages (20180905+dfsg1-0ubuntu1~16.04.0) xenial; urgency=medium

  * Backport to Xenial
    - Revert ordering shutdown scripts after snapd.service.
    - Revert adding /snap/bin to PATH for startup/shutdown scripts
    - Revert to using dh-systemd because Xenial does not have the debhelper
  * Build-depend on libboost-regex-dev for regex support
    version making dh-systemd obsolete
  * Choose std:: or boost:: regex based on support for C++11
  * Set LDFLAGS at the end of the the c++ command line right before libs.
    This fixes passig additional libs to make, namely -lboost_regex
  * Link with boost for regex support
  * Free tests from C++11 constructs to let them being compiled without
    C++11 support

 -- Balint Reczey <rbalint@ubuntu.com>  Sun, 16 Sep 2018 23:55:40 +0200

gce-compute-image-packages (20180510+dfsg1-0ubuntu3~16.04.1) xenial; urgency=medium

  * Only Recommend rsyslog | system-log-daemon (LP: #1780109)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 11 Jul 2018 16:31:35 +0200

gce-compute-image-packages (20180510+dfsg1-0ubuntu3~16.04.0) xenial; urgency=medium

  * Backport to Xenial
  * Don't wait for snapd.seeded.service
  * Keep recommending google-cloud-sdk

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 16 May 2018 21:07:04 +0200

gce-compute-image-packages (20180129+dfsg1-0ubuntu1~16.04.0) xenial; urgency=medium

  [ Balint Reczey ]
  * Override false positive maintainer-script-empty Lintian warning
  * Suggest libpam-cracklib instead of recommending it
    libpam-cracklib was not installed on cloud images before due to using
    --no-install-recommends when installing gce-compute-image-packages, but this
    state could have been surprising for users. (LP: #1741989)
  * New upstream version 20180129+dfsg1 (LP: #1746588)
    - Close socket connections when requesting metadata.
    - Change the OS Login uid restriction to allow uid 1000.
    - Improve hostname setting, including restarting rsyslog
  * Backport to Xenial

  [ Zach Marano from Google Cloud Team ]
  * Update symlink to shared library with updated revision
  * Depend on rsyslog
  * Force IPv4 for Debian apt configs

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 31 Jan 2018 20:14:23 +0100

gce-compute-image-packages (20171129+dfsg1-0ubuntu1~16.04.0) xenial; urgency=medium

  [ Balint Reczey ]
  * Add minimal debian/google-compute-engine-oslogin.prerm to fix upgrades
    (LP: #1733878)
  * New upstream version 20171129+dfsg1
    - Generate SSH host keys when none are present.
    - Improve logging when activating OS Login.
    - Fix parsing logic for expiration time on SSH public keys.


=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=google-compute-engine
export PYBUILD_TEST_PYTEST=1
export PYBUILD_DIR=packages/python-google-compute-engine
export PYBUILD_TEST_ARGS={dir}/packages/google_compute_engine/

OSLOGIN_DIR=packages/google-compute-engine-oslogin

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# this breaks with more than one requested versions for Python 2 or Python3 but they are not likely to appear in Xenial or Trusty
PYBUILD_OPTIONS = -i python{version} -p $(shell pyversions -vr 2>/dev/null) -d $(PYBUILD_DIR)
PYBUILD3_OPTIONS = -i python{version} -p $(shell py3versions -vr 2>/dev/null) -d $(PYBUILD_DIR)


%:
	dh $@ --with python2,python3,systemd --buildsystem=pybuild

override_dh_auto_configure:
	cp -r /usr/src/gtest/ ./
	# dh-pyhon before 2.20160609 passes --dir . to pybuild without option to override, thus call pybuild directly
	pybuild --configure $(PYBUILD_OPTIONS)
	pybuild --configure $(PYBUILD3_OPTIONS)

override_dh_auto_test:
	(cd gtest && cmake . && $(MAKE) )
	(cd $(OSLOGIN_DIR)/utils && \
		$(CXX) $(CXXFLAGS) -L../../../gtest -o test_runner oslogin_utils_test.cc oslogin_utils.cc -I/usr/include/json-c $(LDFLAGS) -lcurl -ljson-c -lgtest -lpthread -lboost_regex && \
		./test_runner && \
		rm test_runner)

override_dh_auto_build:
	pybuild --build $(PYBUILD_OPTIONS)
	pybuild --build $(PYBUILD3_OPTIONS)
	$(MAKE) -C $(OSLOGIN_DIR) all

override_dh_auto_install:
	pybuild --install $(PYBUILD_OPTIONS) --dest-dir $(CURDIR)/debian/tmp
	pybuild --install $(PYBUILD3_OPTIONS) --dest-dir $(CURDIR)/debian/tmp
	$(MAKE) -C $(OSLOGIN_DIR) DESTDIR=$(CURDIR)/debian/tmp PAM_INSTALL_PATH=/lib/$(DEB_HOST_MULTIARCH)/security BIN_INSTALL_PATH=/usr/bin install

override_dh_link-indep:
	rm -f debian/gce-compute-image-packages/etc/dhcp/dhclient-exit-hooks \
		debian/gce-compute-image-packages/etc/dhcp/dhclient-exit-hooks.d/google_set_hostname
	dh_link -i

override_dh_installdeb-indep:
	rm -rf debian/gce-compute-image-packages/etc/init
	# ForwardToConsole=yes does not seem to be a good idea, see Debian Bug #923889
	rm debian/gce-compute-image-packages/usr/lib/systemd/journald.conf.d/20-google.conf
	dh_installdeb -i

override_dh_systemd_start:
	# Configured in gce-compute-image-packages.postinst instead.

override_dh_python3:
	dh_python3
	# We want to split the Python 3 scripts out to the
	# gce-compute-image-packages package
	mkdir -p debian/gce-compute-image-packages/usr/bin/
	mv debian/python3-google-compute-engine/usr/bin/* debian/gce-compute-image-packages/usr/bin/
	rmdir debian/python3-google-compute-engine/usr/bin

override_dh_python2:
	dh_python2
	# We don't want the Python 2 scripts at all
	rm -rf debian/python-google-compute-engine/usr/bin

override_dh_clean:
	dh_clean packages/google_compute_engine.egg-info/ gtest/ .pybuild/

override_dh_auto_clean:
	$(MAKE) -C $(OSLOGIN_DIR) clean
	pybuild --clean $(PYBUILD_OPTIONS)
	pybuild --clean $(PYBUILD3_OPTIONS)
